Package ch.qos.logback.classic.helpers

# Class MDCInsertingServletFilter

java.lang.Object
ch.qos.logback.classic.helpers.MDCInsertingServletFilter

All Implemented Interfaces:
  `javax.servlet.Filter`

public class MDCInsertingServletFilter extends Object implements javax.servlet.Filter
A servlet filter that inserts various values retrieved from the incoming http request into the MDC.

The values are removed after the request is processed.

Author:
  Ceki Gülcü

## Constructor Summary

Constructors
Constructor
Description
`MDCInsertingServletFilter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
`void`
`doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`void`
`init(javax.servlet.FilterConfig arg0)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MDCInsertingServletFilter

public MDCInsertingServletFilter()

## Method Details

### destroy

public void destroy()

Specified by:
  `destroy` in interface `javax.servlet.Filter`

### doFilter

public void doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain) throws IOException, javax.servlet.ServletException

Specified by:
  `doFilter` in interface `javax.servlet.Filter`
Throws:
  `IOException`
  `javax.servlet.ServletException`

### init

public void init(javax.servlet.FilterConfig arg0) throws javax.servlet.ServletException

Specified by:
  `init` in interface `javax.servlet.Filter`
Throws:
  `javax.servlet.ServletException`